GrailsPluginInfo (Grails 6.0.0)

Package: grails.plugins

## [Java] Interface GrailsPluginInfo

-     public interface GrailsPluginInfo

  Base interface that just contains information about a particular plugin.

  Authors:
    Graeme Rocher
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `NAME` | The name of the plugin
    `java.lang.String` | `TRAILING_NAME` | Defines the convention that appears within plugin class names
    `java.lang.String` | `VERSION` | Defines the name of the property that specifies the plugin version

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Resource` | `getDescriptor()` Returns the location of the Resource that represents the plugin descriptor (the *GrailsPlugin.groovy file)
    `` | `public java.lang.String` | `getFullName()` Returns: The full name of the plugin including version
    `` | `public java.lang.String` | `getName()` Returns: The name of the plug-in
    `` | `public Resource` | `getPluginDir()` Returns: The directory where the plugin exists or null if it cannot be read
    `` | `public java.util.Map` | `getProperties()` Gets the properties of the plugin as a map
    `` | `public java.lang.String` | `getVersion()` Returns: The version of the plug-in

- - ### Field Detail

    - #### java.lang.String NAME

      The name of the plugin

    - #### java.lang.String TRAILING_NAME

      Defines the convention that appears within plugin class names

    - #### java.lang.String VERSION

      Defines the name of the property that specifies the plugin version

  - ### Method Detail

    - #### public Resource getDescriptor()

      Returns the location of the Resource that represents the plugin descriptor (the *GrailsPlugin.groovy file)

      Returns:
        The resource

    - #### public java.lang.String getFullName()

      Returns:
        The full name of the plugin including version

    - #### public java.lang.String getName()

      Returns:
        The name of the plug-in

    - #### public Resource getPluginDir()

      Returns:
        The directory where the plugin exists or null if it cannot be read

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Map getProperties()

      Gets the properties of the plugin as a map

      Returns:
        A map of the properties

    - #### public java.lang.String getVersion()

      Returns:
        The version of the plug-in